<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><link rel="canonical" href="https://lib.1ib.re/docs/algae/api/" />
      <link rel="shortcut icon" href="../img/favicon.ico" />
    <title>Summary - Algae docs</title>
    <link rel="stylesheet" href="../css/theme.css" />
    <link rel="stylesheet" href="../css/theme_extra.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
    
      <script>
        // Current page data
        var mkdocs_page_name = "Summary";
        var mkdocs_page_input_path = "api.md";
        var mkdocs_page_url = "/docs/algae/api/";
      </script>
    
    <script src="../js/jquery-3.6.0.min.js" defer></script>
    <!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
    <![endif]-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
      <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
          <a href=".." class="icon icon-home"> Algae docs
        </a><div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="..">Home</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../about/">About</a>
                </li>
              </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">
      <nav class="wy-nav-top" role="navigation" aria-label="Mobile navigation menu">
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="..">Algae docs</a>
        
      </nav>
      <div class="wy-nav-content">
        <div class="rst-content"><div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".." class="icon icon-home" alt="Docs"></a> &raquo;</li><li>Summary</li>
    <li class="wy-breadcrumbs-aside">
    </li>
  </ul>
  <hr/>
</div>

          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
            <div class="section" itemprop="articleBody">
              
                <h1 id="summary">Summary</h1>
<table>
<thead>
<tr>
<th>Members</th>
<th>Descriptions</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>class</code><a href="#classMatrix"><code>Matrix</code></a></td>
<td></td>
</tr>
</tbody>
</table>
<h1 id="class-matrix">class <code>Matrix</code></h1>
<h2 id="summary_1">Summary</h2>
<table>
<thead>
<tr>
<th>Members</th>
<th>Descriptions</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>public inline</code><a href="#classMatrix_1a9d567e3a121b1be0c3f9c461cab524fe"><code>Matrix</code></a><code>()</code></td>
<td>Construct a new <a href="#classMatrix">Matrix</a> object (empty)</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix_1a7957611671a8a00be7cfb7494bf81f8c"><code>Matrix</code></a><code>(unsigned int m,unsigned int n)</code></td>
<td>Construct a new <a href="#classMatrix">Matrix</a> object.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix_1a7ae838c239f3fc7c0527c7c33cc6e74b"><code>Matrix</code></a><code>(T * data,unsigned int n,unsigned int m,bool byrow)</code></td>
<td>Construct a new <a href="#classMatrix">Matrix</a> object from a 2D array.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix_1a78e9753133cbddef9fb6d73fab16c655"><code>Matrix</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; source)</code></td>
<td>Construct a new <a href="#classMatrix">Matrix</a> object from an other matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix_1a91aa704de674203e96aece9e1955ccd3"><code>~Matrix</code></a><code>()</code></td>
<td>Destroy the <a href="#classMatrix">Matrix</a> object.</td>
</tr>
<tr>
<td><code>public inline T</code><a href="#classMatrix_1a052b031c68f9c21bc550f71049f84b0e"><code>at</code></a><code>(unsigned int i,unsigned int j)</code></td>
<td>Get matrix component at given indices.</td>
</tr>
<tr>
<td><code>public inline T *</code><a href="#classMatrix_1a6acc450306181314946a3d4d75cf16f0"><code>row</code></a><code>(unsigned int j)</code></td>
<td>Get the row of the matrix at given index.</td>
</tr>
<tr>
<td><code>public inline T *</code><a href="#classMatrix_1a1418afcd4b8966508614e68534c8be0f"><code>col</code></a><code>(unsigned int i)</code></td>
<td>Get the column of the matrix at given index.</td>
</tr>
<tr>
<td><code>public inline void</code><a href="#classMatrix_1a23611f8052262ff8d271fc6760b6828d"><code>set</code></a><code>(unsigned int i,unsigned int j,T value)</code></td>
<td>Set value of a component at give indices.</td>
</tr>
<tr>
<td><code>public inline std::string</code><a href="#classMatrix_1a6a862549622c26523ad3a9d5263e0574"><code>toString</code></a><code>()</code></td>
<td>Get string representation of the matrix.</td>
</tr>
<tr>
<td><code>public inline bool</code><a href="#classMatrix_1ab1a7748c0ac6dbf3f63c927f9db783a9"><code>operator==</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other) const</code></td>
<td>Compare two matrices.</td>
</tr>
<tr>
<td><code>public inline bool</code><a href="#classMatrix_1af0b16242406da9f8a849ea8661f58e73"><code>operator!=</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other) const</code></td>
<td>Check if two matrices are not equal.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a39d1492eed5d4334f3056553f7196c62"><code>operator=</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; source)</code></td>
<td>Assign a matrix to another matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a9cc64309ac456e4dc948eedee3263e32"><code>operator+</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></td>
<td>Add two matrices.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a26494989cf1ab504cacb48ab6115bfef"><code>operator+</code></a><code>(const T scalar)</code></td>
<td>Add a scalar to a matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a1ccb00bdfd32d7907e0601dcd852abb4"><code>operator-</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></td>
<td>Subtract two matrices.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a561ebf4355f56fd22891dd15eac2edbd"><code>operator-</code></a><code>(const T scalar)</code></td>
<td>Subtract a scalar from a matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1ae69b53b5925bb653c6916a7fbc42cc69"><code>operator/</code></a><code>(const T scalar)</code></td>
<td>Divide a matrix by a scalar.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a7b1da650e3d336cebea80b32aa89d4e1"><code>operator*</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></td>
<td>Multiply two matrices.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a31550583c457a4334e667be98e391e15"><code>operator*</code></a><code>(const T scalar)</code></td>
<td>Scale a matrix by a scalar.</td>
</tr>
<tr>
<td><code>public inline void</code><a href="#classMatrix_1a1cfcb8902f2ffee566a80737b1df976a"><code>scale</code></a><code>(T scalar)</code></td>
<td>Scale the matrix by a scalar.</td>
</tr>
<tr>
<td><code>public inline void</code><a href="#classMatrix_1a388b917cbc5e2c1549f3ae70bcd70b55"><code>apply</code></a><code>(T(* T)</code></td>
<td>Apply a function for each component of the matrix</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a0909615f00692428503e3b9357e22649"><code>transpose</code></a><code>()</code></td>
<td>Get the transpose of the matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a0bc7a1822815573004c80d99b7c3fcdd"><code>minor</code></a><code>(unsigned int a,unsigned int b)</code></td>
<td>Get the minor matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a422a7e24e38811a6eb8d88872cae92b8"><code>cofactor</code></a><code>()</code></td>
<td>Compute the cofactor of the matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a495442a4403135e9983b5339366c98e9"><code>adjoint</code></a><code>()</code></td>
<td>Compute the adjoin of the matrix.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a153f654e832e957067d1732c3e234f06"><code>inv</code></a><code>()</code></td>
<td>Inverse of a matrix.</td>
</tr>
<tr>
<td><code>public inline T</code><a href="#classMatrix_1a13c1e1219da7b07cb0655c7a5dfaa88e"><code>determinant</code></a><code>()</code></td>
<td>Compute the determinant of the matrix using cofactor method.</td>
</tr>
<tr>
<td><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a215ee9de53b8648447755ed0b74f40ce"><code>copy</code></a><code>()</code></td>
<td>Get a copy of the matrix.</td>
</tr>
</tbody>
</table>
<h2 id="members">Members</h2>
<h4 id="public-inlinematrix"><code>public inline</code><a href="#classMatrix_1a9d567e3a121b1be0c3f9c461cab524fe"><code>Matrix</code></a><code>()</code></h4>
<p>Construct a new <a href="#classMatrix">Matrix</a> object (empty)</p>
<h4 id="public-inlinematrixunsigned-int-munsigned-int-n"><code>public inline</code><a href="#classMatrix_1a7957611671a8a00be7cfb7494bf81f8c"><code>Matrix</code></a><code>(unsigned int m,unsigned int n)</code></h4>
<p>Construct a new <a href="#classMatrix">Matrix</a> object.</p>
<h4 id="parameters">Parameters</h4>
<ul>
<li>
<p><code>m</code> number of rows </p>
</li>
<li>
<p><code>n</code> number of columns</p>
</li>
</ul>
<h4 id="public-inlinematrixt-dataunsigned-int-nunsigned-int-mbool-byrow"><code>public inline</code><a href="#classMatrix_1a7ae838c239f3fc7c0527c7c33cc6e74b"><code>Matrix</code></a><code>(T * data,unsigned int n,unsigned int m,bool byrow)</code></h4>
<p>Construct a new <a href="#classMatrix">Matrix</a> object from a 2D array.</p>
<h4 id="parameters_1">Parameters</h4>
<ul>
<li>
<p><code>data</code> 2D array of type T </p>
</li>
<li>
<p><code>n</code> number of rows </p>
</li>
<li>
<p><code>m</code> number of columns </p>
</li>
<li>
<p><code>byrow</code> specify if the data is given by row or by column</p>
</li>
</ul>
<h4 id="public-inlinematrixconstmatrix-source"><code>public inline</code><a href="#classMatrix_1a78e9753133cbddef9fb6d73fab16c655"><code>Matrix</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; source)</code></h4>
<p>Construct a new <a href="#classMatrix">Matrix</a> object from an other matrix.</p>
<h4 id="parameters_2">Parameters</h4>
<ul>
<li><code>source</code> <a href="#classMatrix">Matrix</a> to copy</li>
</ul>
<h4 id="public-inlinematrix_1"><code>public inline</code><a href="#classMatrix_1a91aa704de674203e96aece9e1955ccd3"><code>~Matrix</code></a><code>()</code></h4>
<p>Destroy the <a href="#classMatrix">Matrix</a> object.</p>
<h4 id="public-inline-tatunsigned-int-iunsigned-int-j"><code>public inline T</code><a href="#classMatrix_1a052b031c68f9c21bc550f71049f84b0e"><code>at</code></a><code>(unsigned int i,unsigned int j)</code></h4>
<p>Get matrix component at given indices.</p>
<h4 id="parameters_3">Parameters</h4>
<ul>
<li>
<p><code>i</code> column index </p>
</li>
<li>
<p><code>j</code> row index </p>
</li>
</ul>
<h4 id="returns">Returns</h4>
<p>T value at given indices</p>
<h4 id="public-inline-t-rowunsigned-int-j"><code>public inline T *</code><a href="#classMatrix_1a6acc450306181314946a3d4d75cf16f0"><code>row</code></a><code>(unsigned int j)</code></h4>
<p>Get the row of the matrix at given index.</p>
<h4 id="parameters_4">Parameters</h4>
<ul>
<li><code>j</code> row index </li>
</ul>
<h4 id="returns_1">Returns</h4>
<p>T* row at given index</p>
<h4 id="public-inline-t-colunsigned-int-i"><code>public inline T *</code><a href="#classMatrix_1a1418afcd4b8966508614e68534c8be0f"><code>col</code></a><code>(unsigned int i)</code></h4>
<p>Get the column of the matrix at given index.</p>
<h4 id="parameters_5">Parameters</h4>
<ul>
<li><code>i</code> column index </li>
</ul>
<h4 id="returns_2">Returns</h4>
<p>T* column at given index</p>
<h4 id="public-inline-voidsetunsigned-int-iunsigned-int-jt-value"><code>public inline void</code><a href="#classMatrix_1a23611f8052262ff8d271fc6760b6828d"><code>set</code></a><code>(unsigned int i,unsigned int j,T value)</code></h4>
<p>Set value of a component at give indices.</p>
<h4 id="parameters_6">Parameters</h4>
<ul>
<li>
<p><code>i</code> column index </p>
</li>
<li>
<p><code>j</code> row index </p>
</li>
<li>
<p><code>value</code> value to set</p>
</li>
</ul>
<h4 id="public-inline-stdstringtostring"><code>public inline std::string</code><a href="#classMatrix_1a6a862549622c26523ad3a9d5263e0574"><code>toString</code></a><code>()</code></h4>
<p>Get string representation of the matrix.</p>
<h4 id="returns_3">Returns</h4>
<p>std::string string representation of the matrix</p>
<h4 id="public-inline-booloperatorconstmatrix-other-const"><code>public inline bool</code><a href="#classMatrix_1ab1a7748c0ac6dbf3f63c927f9db783a9"><code>operator==</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other) const</code></h4>
<p>Compare two matrices.</p>
<h4 id="parameters_7">Parameters</h4>
<ul>
<li><code>other</code> matrix </li>
</ul>
<h4 id="returns_4">Returns</h4>
<p>true if the two matrices are equal </p>
<h4 id="returns_5">Returns</h4>
<p>false else</p>
<h4 id="public-inline-booloperatorconstmatrix-other-const_1"><code>public inline bool</code><a href="#classMatrix_1af0b16242406da9f8a849ea8661f58e73"><code>operator!=</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other) const</code></h4>
<p>Check if two matrices are not equal.</p>
<h4 id="parameters_8">Parameters</h4>
<ul>
<li><code>other</code> matrix </li>
</ul>
<h4 id="returns_6">Returns</h4>
<p>true if the two matrices are not equal </p>
<h4 id="returns_7">Returns</h4>
<p>false else</p>
<h4 id="public-inlinematrixoperatorconstmatrix-source"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a39d1492eed5d4334f3056553f7196c62"><code>operator=</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; source)</code></h4>
<p>Assign a matrix to another matrix.</p>
<h4 id="parameters_9">Parameters</h4>
<ul>
<li><code>source</code> matrix </li>
</ul>
<h4 id="returns_8">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperatorconstmatrix-other"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a9cc64309ac456e4dc948eedee3263e32"><code>operator+</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></h4>
<p>Add two matrices.</p>
<h4 id="parameters_10">Parameters</h4>
<ul>
<li><code>other</code> matrix </li>
</ul>
<h4 id="returns_9">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperatorconst-t-scalar"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a26494989cf1ab504cacb48ab6115bfef"><code>operator+</code></a><code>(const T scalar)</code></h4>
<p>Add a scalar to a matrix.</p>
<h4 id="parameters_11">Parameters</h4>
<ul>
<li><code>scalar</code> </li>
</ul>
<h4 id="returns_10">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperator-constmatrix-other"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a1ccb00bdfd32d7907e0601dcd852abb4"><code>operator-</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></h4>
<p>Subtract two matrices.</p>
<h4 id="parameters_12">Parameters</h4>
<ul>
<li><code>other</code> </li>
</ul>
<h4 id="returns_11">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperator-const-t-scalar"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a561ebf4355f56fd22891dd15eac2edbd"><code>operator-</code></a><code>(const T scalar)</code></h4>
<p>Subtract a scalar from a matrix.</p>
<h4 id="returns_12">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperatorconst-t-scalar_1"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1ae69b53b5925bb653c6916a7fbc42cc69"><code>operator/</code></a><code>(const T scalar)</code></h4>
<p>Divide a matrix by a scalar.</p>
<h4 id="parameters_13">Parameters</h4>
<ul>
<li><code>scalar</code> </li>
</ul>
<h4 id="returns_13">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperatorconstmatrix-other_1"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a7b1da650e3d336cebea80b32aa89d4e1"><code>operator*</code></a><code>(const</code><a href="#classMatrix"><code>Matrix</code></a><code>&amp; other)</code></h4>
<p>Multiply two matrices.</p>
<h4 id="parameters_14">Parameters</h4>
<ul>
<li><code>other</code> </li>
</ul>
<h4 id="returns_14">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixoperatorconst-t-scalar_2"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a31550583c457a4334e667be98e391e15"><code>operator*</code></a><code>(const T scalar)</code></h4>
<p>Scale a matrix by a scalar.</p>
<h4 id="parameters_15">Parameters</h4>
<ul>
<li><code>scalar</code> number to scale by </li>
</ul>
<h4 id="returns_15">Returns</h4>
<p><a href="#classMatrix">Matrix</a> scaled matrix</p>
<h4 id="public-inline-voidscalet-scalar"><code>public inline void</code><a href="#classMatrix_1a1cfcb8902f2ffee566a80737b1df976a"><code>scale</code></a><code>(T scalar)</code></h4>
<p>Scale the matrix by a scalar.</p>
<h4 id="parameters_16">Parameters</h4>
<ul>
<li><code>scalar</code></li>
</ul>
<h4 id="public-inline-voidapplyt-t"><code>public inline void</code><a href="#classMatrix_1a388b917cbc5e2c1549f3ae70bcd70b55"><code>apply</code></a><code>(T(* T)</code></h4>
<p>Apply a function for each component of the matrix</p>
<h4 id="parameters_17">Parameters</h4>
<ul>
<li><code>function</code> The function to apply</li>
</ul>
<h4 id="public-inlinematrixtranspose"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a0909615f00692428503e3b9357e22649"><code>transpose</code></a><code>()</code></h4>
<p>Get the transpose of the matrix.</p>
<h4 id="returns_16">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixminorunsigned-int-aunsigned-int-b"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a0bc7a1822815573004c80d99b7c3fcdd"><code>minor</code></a><code>(unsigned int a,unsigned int b)</code></h4>
<p>Get the minor matrix.</p>
<h4 id="parameters_18">Parameters</h4>
<ul>
<li>
<p><code>a</code> column index to remove </p>
</li>
<li>
<p><code>b</code> row index to remove </p>
</li>
</ul>
<h4 id="returns_17">Returns</h4>
<p>minor matrix</p>
<h4 id="public-inlinematrixcofactor"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a422a7e24e38811a6eb8d88872cae92b8"><code>cofactor</code></a><code>()</code></h4>
<p>Compute the cofactor of the matrix.</p>
<h4 id="parameters_19">Parameters</h4>
<ul>
<li><code>m</code> <a href="#classMatrix">Matrix</a> to compute the cofactor of </li>
</ul>
<h4 id="returns_18">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixadjoint"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a495442a4403135e9983b5339366c98e9"><code>adjoint</code></a><code>()</code></h4>
<p>Compute the adjoin of the matrix.</p>
<h4 id="returns_19">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inlinematrixinv"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a153f654e832e957067d1732c3e234f06"><code>inv</code></a><code>()</code></h4>
<p>Inverse of a matrix.</p>
<h4 id="returns_20">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<h4 id="public-inline-tdeterminant"><code>public inline T</code><a href="#classMatrix_1a13c1e1219da7b07cb0655c7a5dfaa88e"><code>determinant</code></a><code>()</code></h4>
<p>Compute the determinant of the matrix using cofactor method.</p>
<h4 id="returns_21">Returns</h4>
<p>the determinant of the matrix</p>
<h4 id="public-inlinematrixcopy"><code>public inline</code><a href="#classMatrix"><code>Matrix</code></a><code></code><a href="#classMatrix_1a215ee9de53b8648447755ed0b74f40ce"><code>copy</code></a><code>()</code></h4>
<p>Get a copy of the matrix.</p>
<h4 id="returns_22">Returns</h4>
<p><a href="#classMatrix">Matrix</a></p>
<p>Generated by <a href="https://sourcey.com/moxygen">Moxygen</a></p>
              
            </div>
          </div><footer>

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
          
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="Versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
    
    
  </span>
</div>
    <script>var base_url = '..';</script>
    <script src="../js/theme_extra.js" defer></script>
    <script src="../js/theme.js" defer></script>
      <script src="../search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
